# $Revision: 1.5 $, $Date: 2004/09/01 12:39:58 $
Summary:	Database Size Functions for PostgreSQL
Summary(pl):	Funkcje dotyczce rozmiaru bazy danych dla PostgreSQL-a
Name:		postgresql-module-dbsize
Version:	0.1
Release:	2
License:	BSD
Group:		Applications/Databases
# http://webmail.postgresql.org/~petere/download/dbsize.tar.gz (some other version)
Source0:	%{name}.tar.gz
# Source0-md5:	6b1186c94041ee7863c660f26c8f2917
# CVS:		http://developer.postgresql.org/cvsweb.cgi/pgsql-server/contrib/dbsize/
URL:		http://webmail.postgresql.org/~petere/dbsize.html
BuildRequires:	postgresql-backend-devel
Requires:	postgresql >= %(rpm -q --queryformat "%{VERSION}" postgresql-backend-devel)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pgmoduledir	%{_libdir}/postgresql
%define		_pgsqldir	%{_pgmoduledir}/sql

%description
This module contains two functions that report the size of a given
database or relation.

%description -l pl
Ten modu zawiera dwie funkcje, ktre informuj o rozmiarze danej bazy
danych lub relacji (tabeli).

%prep
%setup -q -n %{name}

%build
sed 's#MODULE_PATHNAME#%{_pgmoduledir}/dbsize#g' dbsize.sql.in > dbsize.sql
%{__cc} %{rpmcflags} -fpic -I. -I%{_includedir}/postgresql/server -c -o dbsize.o dbsize.c -MMD
%{__cc} -shared %{rpmldflags} -o dbsize.so dbsize.o

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pgmoduledir}

install *.so $RPM_BUILD_ROOT%{_pgmoduledir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Remember to run psql < dbsize.sql"

%files
%defattr(644,root,root,755)
%doc README* *.sql
%attr(755,root,root) %{_pgmoduledir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postgresql-module-dbsize.spec,v $
Revision 1.5  2004/09/01 12:39:58  arekm
- rebuild; rel2

Revision 1.4  2003/10/28 21:26:17  qboosh
- added descriptions, changed URL to informational page

Revision 1.3  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:25:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/28 18:25:39  misiek
- initial pld release
